@import url('https://fonts.googleapis.com/css2?family=Baloo+Bhai+2&display=swap');

/* css reset */

* {
    margin: 0;
    padding: 0;
}


/* Body styling */

html {
    scroll-behavior: smooth;
    font-family: 'Baloo Bhai 2', cursive ;
}

/* home styling starts here */

#home {
    background-image: url(../images/background.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}


/* navbar styling starts here  */


.nav{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    width: 100%;
    padding: 5px 0px;
    background-color: rgba(0, 0, 0, 0.85);
    z-index: 10;
}

.logo{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-left: 20px;
}

.logo img{
    width: 50px;
    height: auto;
    border-radius: 50%;
    margin: 0px 10px;
    cursor: pointer;
}


.logo h2{
    color: firebrick;
    font-size: 2.5rem;
    margin-left: 10px;
    cursor: pointer;
    transition: all ease-in-out 0.2s;
}

.logo h2:hover{
    color: white;
}

#check{
    display: none;
}

.toogle-btn{
    color: white;
    font-size: 30px;
    margin-right: 40px;
    display: none;
    cursor: pointer;
    transition: ease-in-out all 0.3s;
}

.toogle-btn:hover{
    color: grey ;
}

.nav ul{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin-right: 30px;
}

.nav ul li{
    list-style: none;
    padding:  0 10px;
    font-size: 20px;
}

.nav ul li a{
    color: white;
    text-decoration: none;
    letter-spacing: 0.1px;
    transition: all ease-in-out 0.4s;
}

.nav ul li a:hover{
    color: firebrick;
    border-bottom: firebrick 0.5px solid;
    border-top: firebrick 0.5px solid;
}


@media (max-width: 1200px){

    .logo h2{
        font-size: 2rem;
    }

    .nav ul{
        margin-right: 20px;
    }

    .nav ul li{
        font-size: 20px;
    }

    .nav ul li a{
        letter-spacing: 0;
    }

}

@media (max-width: 970px){

    .nav .logo img{
        margin: 5px;
    }

    .toogle-btn{
        display: block;
    }

    .nav .menu{
        margin-top: 575px;
        height: 500px;
        width: 100vw;
        z-index: -1;
        background-color: rgba(0, 0, 0, 0.9);
        margin-left: -200%;
        position: fixed;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
        transition: 0.3s ease-in-out all;
    }

    #check:checked ~ .menu{
        margin-left: 0%;
    }

    .nav ul li{
        margin: 5px 20px;
        width: 100vw;
        line-height: 4rem;
    }
    
    .nav ul li a{
        font-size: 22px;
        margin-top: -100%;
        width: 100vw;
        transition: all ease-in-out 0.5s ;
        transition-delay: 0.3s;
    }
    
    #check:Checked ~ .menu li a{
        margin-top: 0%;
    }

}

@media (max-width:375px){

    .nav .logo{
        margin-left: 5px;
    }

    .nav .logo img{
        width: 40px;
        height: auto;
        margin: 10px;
    }

    .nav .logo h2{
        font-size: 1.5rem;
        margin-left: 5px;
    }

    .toogle-btn{
        font-size: 25px;
        margin-right: 20px;
    }
}

/* home styling */

.home {
    height: 450px;
    display: flex;
    flex-wrap: wrap-reverse;
    align-items: center;
    justify-content: center;
}

.home .home-text {
    max-width: 500px;
}

.home .home-text h2 {
    color: rgb(151, 9, 9);
    font-family: 'Baloo Bhai 2';
    font-size: 2.8rem;
    font-weight: bolder;
    animation: home-shadow 1.5s forwards;
}

.home .home-text span {
    color: black;
    font-size: 20px;
    font-family: 'Baloo Bhai 2';
    margin: 5px;
    font-weight: bolder;
    animation: home-shadow 1.5s forwards;
}

@keyframes home-shadow {
    from{
        text-shadow: none;
    }
    
    to{
        text-shadow: 4px 4px 10px  white, -2px -2px 5px white;

    }
}

/* .links{
    display: flex;
    flex-direction: column;
    position: fixed;
    align-items: center;
    justify-content: center;
    height: 200px;
    margin: 0px;
    bottom: 40%;
}  */

/* .links a button{
    margin: 0;
} */

.home .home-img img {
    border-radius: 20%;
    transition: all ease-in-out 0.2s;
}

.home .home-img img:hover{
    transform: scale(2) !important;
    border-radius: 5% !important;
    box-shadow: 2px 2px 5px white, -2px -2px 5px white !important;
}

img{
    transition: all ease 0.2s;
}

img:hover{
    transform: scale(1.2);
}

/* details styling starts here  */

.details{
    margin: 20px;
    font-family: 'Baloo Bhai 2';
}

.heading{
    font-size: 40px;
    text-align: center;
    color: rgb(255, 60, 0);
    font-family: 'Baloo Bhai 2';
}

.img img{
    height: auto;
    width: 350px;
    margin: 10px 80px;   
}

.d-details{
    
    margin: 20px;
    font-weight: bold;
    font-size: 20px;
    text-align: center;
}

.d-details li{
    margin: 10px;
}

.d-d-details{
    margin: 10px;
    padding: 2px;
}

.h-heading{
    font-size: 30px;
    text-align: center;
    color: rgb(148, 61, 21);
    font-family: 'Baloo Bhai 2';
}

.file-details{
    width: 600px;
    font-size: 25px;
    display: grid;
    grid-template-columns: 0.5fr 1.5fr;
    margin: 20px auto;
}

.file-details p{
    margin: 0;
    display: inline;
    padding: 5px 10px;
    border: 2px solid black;
    margin: 0;
}

.file-details p.bold{
    font-weight: 900;
}

.download{
    display: flex;
}

.hidden{
    width: 45%;
}


.download a button{
    cursor: pointer;
    font-size: 32px;
    padding: 9px;
    border: 2px solid wheat;
    background-color: black;
    color: white;
    border-radius: 10px;
    margin: 10px auto;
    text-decoration: none;
    transition: all ease-in-out 0.3s;

}

.download a button:hover{
    border:2px solid black;
    background-color: white;
    color: black;
    
}

/* footer styling starts here */

footer {
    font-family: 'Baloo Bhai 2';
    font-size: 1rem;
    background-color: black;
    color: white;
    text-align: center;
    padding: 5px;
    margin-bottom: 3px;
}

/* Media Query Starts here  */

/* Media Query at 1065px */



@media (max-width: 1065px) {

    @import url('https://fonts.googleapis.com/css2?family=Baloo+Bhai+2&display=swap');
    .home {
        height: 475px;
    }

    .home img {
        margin: 50px 0px;
    }

    .home .home-text {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .home .home-text h2 {
        font-size: 2rem;
        font-family: 'Baloo Bhai 2', cursive;
    }

    .home .home-text span {
        font-size: 19px;
        text-align: center;
        font-family: 'Baloo Bhai 2', cursive;
    }

    .heading{
        font-size: 25px;
    }

    .h-heading{
        font-size: 22px;
    }

    .d-details{
        font-size: 15px;
    }

    .img img{
        width: 200px;
        height: auto;
    }



}


/* Media query at 650px */

@media (max-width:650px){
    .file-details{
        font-size: 15px;
        width: 350px;
    }

}


/* Media Query at 380px */

@media (max-width:380px) {

    @import url('https://fonts.googleapis.com/css2?family=Baloo+Bhai+2&display=swap');

    .home .home-text h2 {
        font-size: 1.5rem;
        font-family: 'Baloo Bhai 2', cursive;
    }

    .home .home-text span {
        font-size: 15px;
        font-family: 'Baloo Bhai 2', cursive;
    }

    .heading{
        font-size: 22px;
    }

    .h-heading{
        font-size: 20px;
    }

    .img img{
        margin: 10px 10px;
        width: 165px;
    }

    .d-details{
        font-size: 15px;
    }

    .d-d-details{
        padding: 0;
    }

    .file-details {
        width: 250px;
        font-size: 13px;
        margin: 5px auto;
        margin-right: 5px;
    }

    .download .heading{
        font-size: 18px;
    }

    footer{
        font-size: 13px;
    }
}